using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace fdprFigureGeometricheFinali
{
    public partial class frmFigureGeometriche : Form
    {
        public frmFigureGeometriche()
        {
            InitializeComponent();
        }

        //******************** PROCEDURE LOCALI DI PROGETTO ************************

        private void frmFigureGeometriche_Esci()
        {
            Application.Exit();
        }

        private void frmFigureGeometriche_Triangolo()
        {
            // Creo una variabile chiamata "FormTriangolo" in memoria RAM (nello HEAP), che mi rappresenta
            // la form chiamata "frmTriangolo".
            // Per creare delle strutture complesse in memoria si utilizza l'operatore "new".

            // 1° Parte: Dichiaro che la variabile "FormTriangolo" è di tipo "frmTriangolo".
            //           Rappresenta il progetto di una casa....Questo è il PROGETTO, l'intenzione di...

            frmTriangolo FormTriangolo;
            
            // 2° Parte: Realizzo la mia intenzione implementando il progetto tramite un impresa edile chiamataù
            //           "new". Questo è un operatore che costruisce in memoria RAM e in particolare nella zona
            //           chiamata HEAP.

            FormTriangolo=new frmTriangolo();

            FormTriangolo.ShowDialog(); // Apro una finestra MODALE


        }

        private void frmFigureGeometriche_Trapezio()
        {
            frmTrapezioRettangolo FormTrapezio;

            FormTrapezio = new frmTrapezioRettangolo();

            FormTrapezio.ShowDialog();

        }


        //******************** PROCEDURE DI RISPOSTA AGLI EVENTI *******************

        private void triangoloToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmFigureGeometriche_Triangolo();
        }

        private void trapezioRettangoloToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmFigureGeometriche_Trapezio();
        }

        private void esciToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmFigureGeometriche_Esci();
        }
    }
}
